> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Put registration



## OpenAPI

````yaml /api-reference/4.2/service-registration.json put /registration
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service registration
servers:
  - url: /api/apollo/
security: []
tags:
  - name: registration
paths:
  /registration:
    put:
      tags:
        - 4.2 Query Profiles API
      operationId: update
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegistrationData'
      responses:
        default:
          description: successful operation
components:
  schemas:
    RegistrationData:
      type: object

````